#define fancy_help
//
// This functions gives an easy mechanism to create some more fancy
// in game help. The help is expected to be given in the form of a
// number of image files that are stored in the same folder as the
// game executable. The script is called with as a first argument the
// number of help screens and next these file names as further arguments. 
//
// For more information on how to use the script, see the enclosed
// readme.txt file. You can use this script in any game you create and
// you are free to edit it.
//
// written by Mark Overmars, September 29, 2007
//
{
  // grey out the current image on the room
  var oldcol,oldalpha;
  oldcol = draw_get_color();
  oldalpha = draw_get_alpha();
  draw_set_color(c_white);          // change for different grey-out color
  draw_set_alpha(0.5);              // change for different amount of grey-out
  draw_rectangle(0,0,room_width,room_height,false);
  draw_set_color(oldcol);
  draw_set_alpha(oldalpha);
  
  // now draw the help images
  var helpimg,i,xxx,yyy;
  helpimg = background_create_color(640,480,c_black,true);
  for (i=1; i<=argument[0]; i+=1)
  {
    if (!file_exists(argument[i])) continue;
    background_replace(helpimg,argument[i],false,false,true);
    xxx = (room_width-background_get_width(helpimg))/2;
    yyy = (room_height-background_get_height(helpimg))/2;
    draw_background(helpimg,xxx,yyy);
    screen_refresh();
    keyboard_wait();
  }
  
  // clean up
  background_delete(helpimg);
  io_clear();
  screen_redraw();
}
